%global _empty_manifest_terminate_build 0
Name:           python-zipp
Version:        3.7.0
Release:        1
Summary:        Backport of pathlib-compatible object wrapper for zip files
License:        MIT
URL:            https://github.com/jaraco/zipp
Source0:        https://files.pythonhosted.org/packages/source/z/zipp/zipp-%{version}.tar.gz
BuildArch:      noarch
%description
A pathlib-compatible Zipfile object wrapper. A backport of the Path object.

%package -n python3-zipp
Summary:        Backport of pathlib-compatible object wrapper for zip files
Provides:       python-zipp
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-toml
BuildRequires:  boost-iostreams
BuildRequires:  python3-pytest

Requires:  python3-toml
Requires:  python3-setuptools_scm
%description -n python3-zipp
A pathlib-compatible Zipfile object wrapper. A backport of the Path object.

%package_help

%prep
%autosetup -n zipp-%{version}
# Skip tests that depend on jaraco.itertools
sed -i "/import jaraco.itertools/d" test_zipp.py
sed -i "/func_timeout/d" test_zipp.py

%build
%_bindir/python3 setup.py build '--executable=%_bindir/python3 -s'

%install
%_bindir/python3 setup.py install -O1 --skip-build --root %buildroot

%check
pytest -k "not test_joinpath_constant_time"

%files -n python3-zipp
%defattr(-,root,root)
%license LICENSE
%_prefix/lib/python%{python3_version}/site-packages/zipp*
%_prefix/lib/python%{python3_version}/site-packages/__pycache__/zipp.*

%files help
%defattr(-,root,root)
%doc README.rst

%changelog
* Thu Jul 28 2022 liksh <liks11@chinaunicom.cn> - 3.7.0-1
- Upgrade for openstack yoga

* Mon Dec 20 2021 shixuantong <shixuantong@huawei.com> - 3.6.0-1
- Upgrade to version 3.6.0

* Mon Jul 19 2021 liusheng <liusheng2048@gmaili.com> - 3.4.1-1
- Upgrade to version 3.4.1

* Wed Dec 16 2020 zhanzhimin<zhanzhimin@huawei.com> - 0.5.1-3
- Update Source0

* Fri Jun 19 2020 wuchaochao<wuchaochao4@huawei.com> - 0.5.1-2
- Depend on the python version to revise the spec file is variable

* Tue Feb 11 2020 huzunhao<huzunhao2@huawei.com> - 0.5.1-1
- Package init
